/*
	Serial Camera Client 
	Version 11/24/2010-A
	(C) 2010 Jason Hunt nulluser@gmail.com

	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#include <windows.h>
#include <stdio.h>

#include "display.h"
#include "window.h"
#include "main.h"
#include "types.h"

extern unsigned int display_x;
extern unsigned int display_y;


unsigned int window_x_size = display_x;
unsigned int window_y_size = display_y + text_area_height;




HWND main_win = NULL;              // Keep track of the main window

static char c_name[] = program_name ;     // Setclass name


/* Create the main window */
int setup_window(HINSTANCE hThisInstance, int nCmdShow)
{
    WNDCLASSEX wincl;  

    wincl.hInstance = hThisInstance;
    wincl.lpszClassName = c_name;
    wincl.lpfnWndProc = WinProc;      
    wincl.style = CS_DBLCLKS | CS_OWNDC;         
    wincl.cbSize = sizeof (WNDCLASSEX);

    wincl.hIcon = LoadIcon (NULL, IDI_APPLICATION);
    wincl.hIconSm = LoadIcon (NULL, IDI_APPLICATION);
    wincl.hCursor = LoadCursor (NULL, IDC_ARROW);
    wincl.lpszMenuName = NULL;               
    wincl.cbClsExtra = 0;                    
    wincl.cbWndExtra = 0;                    
    wincl.hbrBackground = (HBRUSH)(COLOR_WINDOW+1); 

    if (!RegisterClassEx (&wincl)) return(1);

    HWND hwnd = CreateWindowEx (WS_EX_OVERLAPPEDWINDOW, c_name,
                               program_name , 
//                                WS_CAPTION  | WS_SYSMENU | WS_MINIMIZEBOX,
                               WS_OVERLAPPEDWINDOW  ,//WS_SYSMENU,
                               //WS_OVERLAPPEDWINDOW| WS_MINIMIZEBOX ,// | WS_MAXIMIZE, 
                               150, 150,   // pos
                               window_x_size, // size
                               window_y_size,
                               HWND_DESKTOP, NULL,
                               hThisInstance, NULL);

    if (!hwnd) return(1); // Make sure it was made

    main_win = hwnd; // Save the handle
    
    ShowWindow (hwnd, nCmdShow); // Display the window

    return(0);
}
/* End of setup window */


/* Resize the windows to the size in the parmeters */
void resize_window(void)
{    
   /* int x_size = display_x + 7;
    int y_size = display_y + 27 + text_area_height + 2;
    
    WINDOWPLACEMENT p;                      // Hlds window data

    p.length = sizeof(WINDOWPLACEMENT);     // Setup struct
    GetWindowPlacement(main_win, &p);      // Get window information
        
    p.rcNormalPosition.right = p.rcNormalPosition.left + x_size;
    p.rcNormalPosition.bottom= p.rcNormalPosition.top + y_size;
        
    SetWindowPlacement(main_win, &p);
   
    display();*/
}
/* End of resize window */






